### Hierarchy

- CustomElementRegistry

## Index

### Methods

- define
- get
- upgrade
- whenDefined

## Methods

### define

- define(name: string, constructor: Function, options?: ElementDefinitionOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3404

  #### Parameters

  - ##### name: string

  - ##### constructor: Function

  - ##### Optional options: ElementDefinitionOptions

  #### Returns void

### get

- get(name: string): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3405

  #### Parameters

  - ##### name: string

  #### Returns any

### upgrade

- upgrade(root: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3406

  #### Parameters

  - ##### root: Node

  #### Returns void

### whenDefined

- whenDefined(name: string): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3407

  #### Parameters

  - ##### name: string

  #### Returns Promise<void>

Generated using TypeDoc